Name: fltk
Version: 1.3.0
Release: %mkrel 3
Group: System/Libraries
Summary: Fast Light Tool Kit (FLTK)
License: LGPLv2+
Source: ftp://ftp.easysw.com/pub/fltk/%{version}/%{name}-%{version}-source.tar.gz
Patch0: fltk-1.3.0-link.patch
URL: http://www.fltk.org
BuildRequires: libx11-devel
BuildRequires: libxext-devel
BuildRequires: libsm-devel
BuildRequires: libmesagl-devel libmesaglu-devel
BuildRequires: libxinerama-devel
BuildRequires: libxft-devel
BuildRequires: jpeg-devel
BuildRequires: png-devel
BuildRequires: zlib-devel
BuildRequires: man
BuildRequires: cmake

%description
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

#---------------------------------------------------------------------------

%define lib_major 0
%define libname %mklibname %{name} %lib_major

%package -n %{libname}
Summary: Fast Light Tool Kit (FLTK) - main library
Group: System/Libraries
Obsoletes: %{name} < %{version}-%{release}
Provides: %{name} = %{version}-%{release}

%description -n %{libname}
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libfltk.so.*
%{_libdir}/libfltk_forms.so.*
%{_libdir}/libfltk_gl.so.*
%{_libdir}/libfltk_images.so.*

#---------------------------------------------------------------------------

%define develname %mklibname %name -d

%package -n %{develname}
Summary: Fast Light Tool Kit (FLTK) - development environment
Group: Development/C
Requires: %{libname} = %{version}
Obsoletes: %{name}-devel < %{version}-%{release}
Obsoletes: %{_lib}%{name}1.1-devel
Provides: %{name}-devel = %{version}-%{release}

%description -n %{develname}
The Fast Light Tool Kit ("FLTK", pronounced "fulltick") is a LGPL'd
C++ graphical user interface toolkit for X (UNIX(r)), OpenGL(r),
and Microsoft(r) Windows(r) NT 4.0, 95, or 98. It was originally
developed by Mr. Bill Spitzak and is currently maintained by a
small group of developers across the world with a central
repository in the US.

Install libfltk1-devel if you need to develop FLTK applications. You'll
need to install the libfltk1.1 package if you plan to run dynamically 
linked applications.

%files -n %{develname}
%defattr(-,root,root)
%doc README CHANGES
%{_includedir}/FL
%{_bindir}/fltk-config
%{_bindir}/fluid
%{multiarch_bindir}/fltk-config
%{_mandir}/man?/*
%{_libdir}/libfltk*.so
%{_libdir}/libfltk*.a
%{_libdir}/FLTK-*

#---------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0 -b .link

%build
%define Werror_cflags %{nil}
export CXXFLAGS="%optflags -fPIC"
export CFLAGS="%optflags -fPIC"
%cmake \
    -DOPTION_BUILD_SHARED_LIBS=ON \
    -DOPTION_PREFIX_LIB=%{_libdir} \
    -DOPTION_PREFIX_MAN=%{_mandir} \
    -DOPTION_PREFIX_CONFIG=%{_libdir}/FLTK-1.3 \
    -DFLTK_USE_SYSTEM_ZLIB=ON \
    -DFLTK_USE_SYSTEM_JPEG=ON \
    -DFLTK_USE_SYSTEM_PNG=ON \
    -DOPTION_BUILD_EXAMPLES=OFF

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std -C build

%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/fltk-config


%changelog

* Thu Jan 26 2012 fwang <fwang> 1.3.0-3.mga2
+ Revision: 202025
- more linkage fix

* Sat Sep 10 2011 fwang <fwang> 1.3.0-2.mga2
+ Revision: 142098
- rebuild for new libpng

* Mon Jul 11 2011 fwang <fwang> 1.3.0-1.mga2
+ Revision: 122083
- do not build examples
- update file list
- build with fpic
- new version 1.3.0
- drop unused patches

* Thu Apr 14 2011 ahmad <ahmad> 1.1.10-5.mga1
+ Revision: 85479
- add more BR to enable more features (e.g. libfltk_gl.so* was missing)

* Wed Jan 12 2011 dmorgan <dmorgan> 1.1.10-4.mga1
+ Revision: 7253
- Add libx11-devel as buildrequire
- Remove X11-devel, to find the real needed br
- imported package fltk

  + ahmad <ahmad>
    - imported package fltk

